Subject: Re: SPARC Author Addendum compatibility

From: Brian E Carpenter <[email-masked]>
Date: Thu, 02 Aug 2007 13:37:01 +0200

Larry,

> It seems reasonable to make that requirement a part of the Trust bylaws or
> articles of incorporation, with a supermajority requirement to change that.
> I haven't read those documents; perhaps the public interest is already
> sufficiently protected?

The Trust is constructed to do what the IETF tells it to do, although
legally it has to abide by the Trust Agreement.

     Brian

References:

Administrative Procedures (equivalent of By-Laws)
http://trustee.ietf.org/docs/Trust_Procedures_12-15-2005.pdf

Specifically:
"10. The Trust shall be guided by IETF process documents, decisions of the IETF
leadership, and IETF consensus when licensing use of its intellectual property in
accordance with the Trust Agreement..."

Trust Agreement (searchable file)
http://www.ietf.org/trust/IETFtrustAgreement20051208.pdf

Ditto (signed and scanned)
http://iaoc.ietf.org/docs/IETF-Trust-Agreement-Executed-12-15-05.pdf

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 02 Aug 2007 13:38:22 +0200

Joel,

On 2007-07-28 19:22, Joel M. Halpern wrote:
> Note for clarification, and a suggestion for resolution.
> 
> The below "requirement" would be a change from what the WG is 
> requesting.  However, given the rules as we are writing them, the trust 
> could make such a change.  (The fact that I, and even John I suspect, 
> consider that unlikely does not change the fact that it is legally 
> possible.)
> 
> Therefore, as I understand this particular issue, what is needed is a 
> statement in the inbound rights grant that the authors, as a condition 
> of the inbound rights grant, will be granted the outbound rights to copy 
> / extract from the RFC.  II believe the authors do not need the rights 
> to make changes to the RFC, just the rights to copy / extract.

I agree with this proposal.

> 
> Yes, that puts a tiny outbound constraint in inbound.  So be it.  The 
> actual point (and I think it is a useful result of separating teh two 
> documents) is that this constraint MUST be an inbound constraint in 
> order to meet the SPARC conditions.

True, but we don't need to cite SPARC specifically.

    Brian

> 
> Yours,
> Joel
> 
> At 01:00 PM 7/28/2007, John C Klensin wrote:
>> That is not the interpretation of some of the people involved.
>> In particular, there is almost nothing in the existing
>> procedures, and nothing at all in the model contemplated by
>> "outgoing" that would legally prevent the IETF Trust from
>> charging an author a small fee for including an RFC on the
>> author's web site or a fee for making a large, non-code, excerpt.
> 
>

---

From: "TS Glassey" <[email-masked]>
Date: Thu, 2 Aug 2007 07:01:07 -0700

Brian - NOT meeting SPARC as its sits, and trying to reimplement it in an 
IETF Derivative Manner will mean that ANYONE who wants to rely on the IETF's 
ever changiung IP model will have to have theor lawyers make a determination 
as to whether their sponsoree's can actually participate.

What happend in the past where academic's allowed their students, employee's 
and contractors to freely use their Network's for publishing are now 
changing that tune to enforce a SPARC specificality. That means ANYTHING 
that is not SPARC exactly must be reviewed by their counsel's every time 
there is a change in the underlying particpation agreement.

Is that what you are trying to do?

Todd
----- Original Message ----- 
From: "Brian E Carpenter" <[email-masked]>
To: "Joel M. Halpern" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, August 02, 2007 4:38 AM
Subject: Re: SPARC Author Addendum compatibility

>> The below "requirement" would be a change from what the WG is requesting. 
>> However, given the rules as we are writing them, the trust could make 
>> such a change.  (The fact that I, and even John I suspect, consider that 
>> unlikely does not change the fact that it is legally possible.)
>>
>> statement in the inbound rights grant that the authors, as a condition of 
>> the inbound rights grant, will be granted the outbound rights to copy / 
>> extract from the RFC.  II believe the authors do not need the rights to 
>> make changes to the RFC, just the rights to copy / extract.
>
>> documents) is that this constraint MUST be an inbound constraint in order 
>> to meet the SPARC conditions.
>

---

From: "todd glassey" <[email-masked]>
Date: Sat, 11 Aug 2007 10:10:21 -0700

Counsel -
I think the problem is not the copyright on the derivative document - that 
clearly the trust would own, its the use of the core IP for any and all 
purposes that is the problem, especially when we leverage one design on 
designs or components issued under previous or external IP controls.

T.
----- Original Message ----- 
From: "Lawrence Rosen" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, July 28, 2007 11:09 AM
Subject: RE: SPARC Author Addendum compatibility

John Klensin and Simon Joseffson wrote:
> Because "the IETF Trust is the sole owner of the copyright in a
> complete RFC" is a major step --both from the original principle
> and from where I believe we stand today-- I don't want to see it
> slip through without community discussion.  That does not
> indicate that I think it is a bad idea because I don't; I just
> believe that we need to identify consequences we might not like
> and deal with them.
>
> > I have interpreted "author retains all rights" to mean that
> > the author retains the copyright of the material she
> > contributed.  The author is never given rights to other
> > material that the author did not contribute, at least not as
> > far as I can see in RFC 3978.
>
> Clearly you are not the only one who interpreted things that
> way.  It is not the original interpretation.  And, as you can
> probably infer from the above, I don't really care what 3978
> says or appears to say: if we were convinced that it was
> adequate, this WG would have been closed long ago.

I am confused by the arguments in this thread. There is nothing inconsistent
between "the IETF Trust is the sole owner of the copyright in a complete
RFC" and "author retains all rights" to a contribution in that RFC. As
pointed out previously on this list, copyright law makes that possible by
distinguishing between the copyright in a contribution and the [different]
copyright in a collective or derivative work that uses that contribution.

The FAQ for the SPARC Author Addendum partially confirms that: "Publishers
require only your permission to publish an article, not a wholesale transfer
of copyright. Hold onto rights to make use of the work in ways that serve
your needs and that promote education and research activities." (See
http://www.arl.org/sparc/author/addendum.html.)

IETF should do it that way, and not follow the path of publishers who demand
more than they need.

The suggestion that the author of a contribution assign her copyrights to
IETF with a license-back is unnecessary legal work. All that IETF needs is a
license that (1) allows IETF to publish the contribution and derivative
works thereof in an RFC, and (2) allows anyone to copy and implement the
resulting IETF specification, and to practice and sell resulting software or
hardware, without payment of royalties or other onerous conditions.

How is that different from or inconsistent with the traditional principles
of IETF?

/Larry

P.S. As an author, I myself will NEVER assign my copyright to a publisher.
They don't need it and I won't give it away.

Lawrence Rosen
Rosenlaw & Einschlag, a technology law firm (www.rosenlaw.com)
3001 King Ranch Road, Ukiah, CA 95482
707-485-1242 * cell: 707-478-8932 * fax: 707-485-1243
Skype: LawrenceRosen
Author of "Open Source Licensing: Software Freedom and
                Intellectual Property Law" (Prentice Hall 2004)

---

From: "todd glassey" <[email-masked]>
Date: Sat, 11 Aug 2007 10:14:24 -0700

----- Original Message ----- 
From: "John C Klensin" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Saturday, July 28, 2007 2:26 PM
Subject: RE: SPARC Author Addendum compatibility

>
>
> --On Saturday, 28 July, 2007 13:49 -0700 Lawrence Rosen
> <[email-masked]> wrote:
>
>> John Klensin wrote:
>>> If we are to adopt this revised model at all (and I will leave
>>> that to others to debate), then what I'm looking for is a
>>> requirement (not a request to the Trust that they can ignore
>>> or a statement from the IETF that can be changed) that leaves
>>> the original authors with substantially the same rights in the
>>> output of the editing process that they have been assumed to
>>> have for years.
>>
>> And leaves *everyone* with substantially those same rights....
>> With that important change, I agree with you.
>>
>> It seems reasonable to make that requirement a part of the
>> Trust bylaws or articles of incorporation, with a
>> supermajority requirement to change that. I haven't read those
>> documents; perhaps the public interest is already sufficiently
>> protected?
>
> For those of us who are sufficiently paranoid to not trust even
> supermajorities (as was suggested earlier, I'm concerned about
> the principle here, rather than the likely practice), I'd rather
> have that condition as a requirement the author attaches at
> submission, rather than something the Trust could change even by
> unanimous vote.  The IETF would have to recommend that The Trust
> accept documents containing that condition for IETF use, but
> since, if it stopped doing so, the IETF would be unable to
> function, I'm comfortable trusting that one.

The TRUST cannot change anything such that the outgoing rights are greater 
than the incomming rights with regard to the core IP's submitted. Arguably 
the same is true for the derivatives as well.

>
> And that is where SPARC came in: not as a specific proposal for
> the language that was needed but as an illustration of how
> author's rights can be reserved as a condition of submission
> rather than granted back by the publisher or compiler.

Actually NO... it is exactly a proposal. The reason is that the Academic's 
which are constrained by SPARC are tied to it and not some techno-babble 
representation of it. That means that without SPARC itself in place, they 
cannot contribute using their Institutions Networks or resources, and that 
may eliminate much of the academic contributions to the IETF IMHO. Is it 
worth taking that chance?

>      john